Skip to content

Transactions

This group of endpoints allows you to retrieve and manage transaction data, including listing transactions with various filters and fetching individual transaction details.

List transactions

Request

This endpoint allows you to retrieve a list of transactions for a given business. You can filter the transactions by date range, status, and expense completion status.

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
Query
offsetinteger

Offset to retrieve items from.

Default:0
Example:offset=50
limitinteger, <= 500

Number of items per page.

Default:50
Example:limit=50
min_auth_datestring, (date)

The minimum authorised date for the transactions in UTC.

max_auth_datestring, (date)

The maximum authorised date for the transactions in UTC.

min_cleared_datestring, (date)

The minimum cleared date for the transactions in UTC.

max_cleared_datestring, (date)

The maximum cleared date for the transactions in UTC.

expense_statusstring

The expense completion status of the transactions.

Enum:"COMPLETE""INCOMPLETE_EXPENSE"
Example:expense_status=COMPLETE
statusstring(TransactionStatus)

The status of the transactions. Repeat the parameter to match more than one status, for example ?status=AUTHED&status=CLEARED.

Enum:"AUTHED""CLEARED""REFUNDED""DECLINED"
Example:status=CLEARED
GET
/v2/businesses/{client_id}/transactions
curl -i -X GET \
  'https://public.letsweel.com/v2/businesses/123/transactions?offset=50&limit=50&min_auth_date=2019-08-24&max_auth_date=2019-08-24&min_cleared_date=2019-08-24&max_cleared_date=2019-08-24&expense_status=COMPLETE&status=CLEARED' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
countinteger

The total number of transactions that match the query.

Example:100
nextstring

The URL to the next page of transactions.

Example:"offset=50&limit=50"
previousstring

The URL to the previous page of transactions.

Example:"offset=0&limit=50"
resultsArray of objects(Transaction)
Response
{ "count": 100, "next": "offset=50&limit=50", "previous": "offset=0&limit=50", "results": [ {} ] }